<?php

namespace Application\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
class Version1 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema)
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE SEQUENCE account_subscription_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE scrambler_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE image_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE device_subscription_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE favorite_group_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE account_status_type_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE epg_item_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE epg_source_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE device_stat_channel_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE config_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE epg_auto_replace_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE device_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE dvr_server_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE tarif_group_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE device_log_item_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE provider_free_channel_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE admin_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE age_group_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE report_slice_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE command_argument_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE epg_source_data_item_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE device_type_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE command_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE right_holder_contract_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE account_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE account_status_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE channel_view_item_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE right_holder_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE report_aggregator_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE message_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE device_stat_online_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE provider_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE report_item_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE epg_auto_replace_group_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE channel_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE provider_network_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE channel_group_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE channel_type_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE epg_source_channel_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE tarif_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE TABLE account_subscription (id INT NOT NULL, account_id INT NOT NULL, tarif_id INT DEFAULT NULL, start TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, stop TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_3A1E72959B6B5FBA ON account_subscription (account_id)');
        $this->addSql('CREATE INDEX IDX_3A1E7295357C0A59 ON account_subscription (tarif_id)');
        $this->addSql('CREATE TABLE account_subscription_audit (id INT NOT NULL, rev INT NOT NULL, account_id INT DEFAULT NULL, tarif_id INT DEFAULT NULL, start TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, stop TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE scrambler (id INT NOT NULL, ipaddr Inet DEFAULT NULL, password VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_DEDD60D9143552D7 ON scrambler (ipaddr)');
        $this->addSql('COMMENT ON COLUMN scrambler.ipaddr IS \'(DC2Type:inet)\'');
        $this->addSql('CREATE TABLE image (id INT NOT NULL, image BYTEA NOT NULL, width INT NOT NULL, height INT NOT NULL, size INT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE image_audit (id INT NOT NULL, rev INT NOT NULL, image BYTEA DEFAULT NULL, width INT DEFAULT NULL, height INT DEFAULT NULL, size INT DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE device_subscription (id INT NOT NULL, device_id INT NOT NULL, tarif_id INT DEFAULT NULL, start TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, stop TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_D1B3830294A4C7D4 ON device_subscription (device_id)');
        $this->addSql('CREATE INDEX IDX_D1B38302357C0A59 ON device_subscription (tarif_id)');
        $this->addSql('CREATE TABLE device_subscription_audit (id INT NOT NULL, rev INT NOT NULL, device_id INT DEFAULT NULL, tarif_id INT DEFAULT NULL, start TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, stop TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE favorite_group (id INT NOT NULL, favorite_name VARCHAR(255) NOT NULL, position INT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE favorite_group_channel (favorite_group_id INT NOT NULL, channel_id INT NOT NULL, PRIMARY KEY(favorite_group_id, channel_id))');
        $this->addSql('CREATE INDEX IDX_F91BB0805403C1B6 ON favorite_group_channel (favorite_group_id)');
        $this->addSql('CREATE INDEX IDX_F91BB08072F5A1AA ON favorite_group_channel (channel_id)');
        $this->addSql('CREATE TABLE favorite_group_audit (id INT NOT NULL, rev INT NOT NULL, favorite_name VARCHAR(255) DEFAULT NULL, position INT DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE account_status_type (id INT NOT NULL, status_name VARCHAR(255) NOT NULL, access_enabled BOOLEAN NOT NULL, allow_provider_rpc BOOLEAN NOT NULL, allow_user_change BOOLEAN NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE account_status_type_audit (id INT NOT NULL, rev INT NOT NULL, status_name VARCHAR(255) DEFAULT NULL, access_enabled BOOLEAN DEFAULT NULL, allow_provider_rpc BOOLEAN DEFAULT NULL, allow_user_change BOOLEAN DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE epg_item (id BIGINT NOT NULL, channel_id INT NOT NULL, age_group_id INT DEFAULT NULL, start TIMESTAMP(0) WITH TIME ZONE NOT NULL, stop TIMESTAMP(0) WITH TIME ZONE NOT NULL, title VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, auto BOOLEAN NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_80AC3C6772F5A1AA ON epg_item (channel_id)');
        $this->addSql('CREATE INDEX IDX_80AC3C67B09E220E ON epg_item (age_group_id)');
        $this->addSql('CREATE TABLE epg_item_audit (id BIGINT NOT NULL, rev INT NOT NULL, channel_id INT DEFAULT NULL, age_group_id INT DEFAULT NULL, start TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, stop TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, title VARCHAR(255) DEFAULT NULL, description TEXT DEFAULT NULL, auto BOOLEAN DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE epg_source (id INT NOT NULL, epg_source_type VARCHAR(255) NOT NULL, epg_source_name VARCHAR(255) NOT NULL, epg_source_url VARCHAR(255) NOT NULL, active BOOLEAN NOT NULL, epg_source_comment TEXT DEFAULT NULL, cache_secs INT NOT NULL, last_ok TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, offset_mins INT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE epg_source_audit (id INT NOT NULL, rev INT NOT NULL, epg_source_type VARCHAR(255) DEFAULT NULL, epg_source_name VARCHAR(255) DEFAULT NULL, epg_source_url VARCHAR(255) DEFAULT NULL, active BOOLEAN DEFAULT NULL, epg_source_comment TEXT DEFAULT NULL, cache_secs INT DEFAULT NULL, last_ok TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, offset_mins INT DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE device_stat_channel (id INT NOT NULL, channel_id INT NOT NULL, device_id INT NOT NULL, date_start TIMESTAMP(0) WITH TIME ZONE NOT NULL, date_end TIMESTAMP(0) WITH TIME ZONE NOT NULL, lost_frames VARCHAR(255) DEFAULT NULL, demux_discontinuity VARCHAR(255) DEFAULT NULL, demux_corrupted VARCHAR(255) DEFAULT NULL, netsol_drops VARCHAR(255) DEFAULT NULL, save_time TIMESTAMP(0) WITH TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_34761E0F72F5A1AA ON device_stat_channel (channel_id)');
        $this->addSql('CREATE INDEX IDX_34761E0F94A4C7D4 ON device_stat_channel (device_id)');
        $this->addSql('CREATE TABLE config (id INT NOT NULL, name VARCHAR(255) DEFAULT NULL, value VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE epg_auto_replace (id INT NOT NULL, epg_auto_replace_group_id INT NOT NULL, text_source VARCHAR(255) NOT NULL, text_replaced VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_3318A9D5EDD9C35C ON epg_auto_replace (epg_auto_replace_group_id)');
        $this->addSql('CREATE TABLE epg_auto_replace_audit (id INT NOT NULL, rev INT NOT NULL, epg_auto_replace_group_id INT DEFAULT NULL, text_source VARCHAR(255) DEFAULT NULL, text_replaced VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE device (id INT NOT NULL, device_type_id INT DEFAULT NULL, provider_id INT DEFAULT NULL, account_id INT DEFAULT NULL, ipaddr Inet DEFAULT NULL, mac_addr macaddr NOT NULL, last_online TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, last_fw_ver VARCHAR(255) DEFAULT NULL, first_online TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, use_nat VARCHAR(255) DEFAULT NULL, operation_system VARCHAR(255) DEFAULT NULL, udpxy_addr VARCHAR(255) DEFAULT NULL, authkey VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_92FB68E4FFA550E ON device (device_type_id)');
        $this->addSql('CREATE INDEX IDX_92FB68EA53A8AA ON device (provider_id)');
        $this->addSql('CREATE INDEX IDX_92FB68E9B6B5FBA ON device (account_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_92FB68E44F04595 ON device (mac_addr)');
        $this->addSql('COMMENT ON COLUMN device.ipaddr IS \'(DC2Type:inet)\'');
        $this->addSql('COMMENT ON COLUMN device.mac_addr IS \'(DC2Type:macaddr)\'');
        $this->addSql('CREATE TABLE device_audit (id INT NOT NULL, rev INT NOT NULL, device_type_id INT DEFAULT NULL, provider_id INT DEFAULT NULL, account_id INT DEFAULT NULL, ipaddr Inet DEFAULT NULL, mac_addr macaddr DEFAULT NULL, last_online TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, last_fw_ver VARCHAR(255) DEFAULT NULL, first_online TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, use_nat VARCHAR(255) DEFAULT NULL, operation_system VARCHAR(255) DEFAULT NULL, udpxy_addr VARCHAR(255) DEFAULT NULL, authkey VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('COMMENT ON COLUMN device_audit.ipaddr IS \'(DC2Type:inet)\'');
        $this->addSql('COMMENT ON COLUMN device_audit.mac_addr IS \'(DC2Type:macaddr)\'');
        $this->addSql('CREATE TABLE dvr_server (id INT NOT NULL, name VARCHAR(255) NOT NULL, base_url VARCHAR(255) NOT NULL, default_time_shift_depth_seconds INT NOT NULL, dvr_type VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_68780DC59E103BE4 ON dvr_server (base_url)');
        $this->addSql('CREATE TABLE dvr_server_audit (id INT NOT NULL, rev INT NOT NULL, name VARCHAR(255) DEFAULT NULL, base_url VARCHAR(255) DEFAULT NULL, default_time_shift_depth_seconds INT DEFAULT NULL, dvr_type VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE dvr_server_flussonic (id INT NOT NULL, api_path VARCHAR(255) DEFAULT NULL, login VARCHAR(255) DEFAULT NULL, password VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE tarif_group (id INT NOT NULL, tarif_groupname VARCHAR(255) NOT NULL, position INT NOT NULL, main BOOLEAN NOT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE tarif_group_audit (id INT NOT NULL, rev INT NOT NULL, tarif_groupname VARCHAR(255) DEFAULT NULL, position INT DEFAULT NULL, main BOOLEAN DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE device_log_item (id BIGINT NOT NULL, remote_ip VARCHAR(255) NOT NULL, remote_mac VARCHAR(255) DEFAULT NULL, remote_device_type VARCHAR(255) DEFAULT NULL, remote_fw_version VARCHAR(255) DEFAULT NULL, log_time TIMESTAMP(0) WITH TIME ZONE NOT NULL, log_category VARCHAR(255) NOT NULL, log_message TEXT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE device_log_item_audit (id BIGINT NOT NULL, rev INT NOT NULL, remote_ip VARCHAR(255) DEFAULT NULL, remote_mac VARCHAR(255) DEFAULT NULL, remote_device_type VARCHAR(255) DEFAULT NULL, remote_fw_version VARCHAR(255) DEFAULT NULL, log_time TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, log_category VARCHAR(255) DEFAULT NULL, log_message TEXT DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE provider_free_channel (id INT NOT NULL, provider_id INT NOT NULL, device_type_id INT NOT NULL, tarif_id INT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_DB2B5384A53A8AA ON provider_free_channel (provider_id)');
        $this->addSql('CREATE INDEX IDX_DB2B53844FFA550E ON provider_free_channel (device_type_id)');
        $this->addSql('CREATE INDEX IDX_DB2B5384357C0A59 ON provider_free_channel (tarif_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_DB2B5384A53A8AA4FFA550E ON provider_free_channel (provider_id, device_type_id)');
        $this->addSql('CREATE TABLE provider_free_channel_audit (id INT NOT NULL, rev INT NOT NULL, provider_id INT DEFAULT NULL, device_type_id INT DEFAULT NULL, tarif_id INT DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE admin (id INT NOT NULL, provider_id INT DEFAULT NULL, login VARCHAR(50) DEFAULT NULL, admin_fullname VARCHAR(255) NOT NULL, md5pw VARCHAR(255) DEFAULT NULL, active BOOLEAN NOT NULL, last_login TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, global BOOLEAN NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_880E0D76A53A8AA ON admin (provider_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_880E0D76AA08CB10 ON admin (login)');
        $this->addSql('CREATE TABLE admin_audit (id INT NOT NULL, rev INT NOT NULL, provider_id INT DEFAULT NULL, login VARCHAR(50) DEFAULT NULL, admin_fullname VARCHAR(255) DEFAULT NULL, md5pw VARCHAR(255) DEFAULT NULL, active BOOLEAN DEFAULT NULL, last_login TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, global BOOLEAN DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE age_group (id INT NOT NULL, age INT NOT NULL, caption VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE age_group_audit (id INT NOT NULL, rev INT NOT NULL, age INT DEFAULT NULL, caption VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE report_slice (id INT NOT NULL, report_agregator_id INT DEFAULT NULL, date_start TIMESTAMP(0) WITH TIME ZONE NOT NULL, date_end TIMESTAMP(0) WITH TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_17B27FDC7FE751E9 ON report_slice (report_agregator_id)');
        $this->addSql('CREATE TABLE command_argument (id INT NOT NULL, command_id INT DEFAULT NULL, name VARCHAR(255) NOT NULL, type VARCHAR(255) NOT NULL, description VARCHAR(255) DEFAULT NULL, enum VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_34FDE29B33E1689A ON command_argument (command_id)');
        $this->addSql('CREATE TABLE epg_source_data_item (id BIGINT NOT NULL, epg_source_channel_id INT NOT NULL, start TIMESTAMP(0) WITH TIME ZONE NOT NULL, stop TIMESTAMP(0) WITH TIME ZONE NOT NULL, title TEXT DEFAULT NULL, description TEXT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_D99421B6E481C9EB ON epg_source_data_item (epg_source_channel_id)');
        $this->addSql('CREATE TABLE device_type (id INT NOT NULL, device_type VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_5E782135E78213 ON device_type (device_type)');
        $this->addSql('CREATE TABLE device_type_audit (id INT NOT NULL, rev INT NOT NULL, device_type VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE command (id INT NOT NULL, name VARCHAR(255) NOT NULL, description VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE right_holder_contract (id INT NOT NULL, rightholder_id INT NOT NULL, contract_number VARCHAR(255) NOT NULL, contract_date DATE NOT NULL, comment TEXT DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_C008023222447FFF ON right_holder_contract (rightholder_id)');
        $this->addSql('CREATE TABLE right_holder_contract_audit (id INT NOT NULL, rev INT NOT NULL, rightholder_id INT DEFAULT NULL, contract_number VARCHAR(255) DEFAULT NULL, contract_date DATE DEFAULT NULL, comment TEXT DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE account (id INT NOT NULL, provider_id INT NOT NULL, remote_id INT DEFAULT NULL, fullname VARCHAR(255) NOT NULL, pin_md5 VARCHAR(32) NOT NULL, can_autodisable BOOLEAN NOT NULL, contract_info VARCHAR(255) DEFAULT NULL, main_address VARCHAR(255) DEFAULT NULL, account_desc TEXT DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_7D3656A4A53A8AA ON account (provider_id)');
        $this->addSql('CREATE TABLE account_audit (id INT NOT NULL, rev INT NOT NULL, provider_id INT DEFAULT NULL, remote_id INT DEFAULT NULL, fullname VARCHAR(255) DEFAULT NULL, pin_md5 VARCHAR(32) DEFAULT NULL, can_autodisable BOOLEAN DEFAULT NULL, contract_info VARCHAR(255) DEFAULT NULL, main_address VARCHAR(255) DEFAULT NULL, account_desc TEXT DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE account_status (id BIGINT NOT NULL, account_id INT NOT NULL, status_id INT NOT NULL, status_time TIMESTAMP(0) WITH TIME ZONE NOT NULL, status_is_auto BOOLEAN NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_5C34AB6F9B6B5FBA ON account_status (account_id)');
        $this->addSql('CREATE INDEX IDX_5C34AB6F6BF700BD ON account_status (status_id)');
        $this->addSql('CREATE TABLE account_status_audit (id BIGINT NOT NULL, rev INT NOT NULL, account_id INT DEFAULT NULL, status_id INT DEFAULT NULL, status_time TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, status_is_auto BOOLEAN DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE channel_view_item (id INT NOT NULL, channel_id INT DEFAULT NULL, start_period TIMESTAMP(0) WITH TIME ZONE NOT NULL, end_period TIMESTAMP(0) WITH TIME ZONE NOT NULL, duration INT NOT NULL, count INT NOT NULL, audience INT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_4EDC427D72F5A1AA ON channel_view_item (channel_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_4EDC427DF77895EB5A3750672F5A1AA ON channel_view_item (start_period, end_period, channel_id)');
        $this->addSql('CREATE TABLE right_holder (id INT NOT NULL, rightholder_name VARCHAR(255) NOT NULL, rightholder_comment TEXT DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE right_holder_audit (id INT NOT NULL, rev INT NOT NULL, rightholder_name VARCHAR(255) DEFAULT NULL, rightholder_comment TEXT DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE report_aggregator (id INT NOT NULL, caption VARCHAR(255) NOT NULL, entity_name VARCHAR(255) NOT NULL, field_name VARCHAR(255) DEFAULT NULL, period VARCHAR(255) DEFAULT NULL, strategy VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE message (id INT NOT NULL, device_id INT DEFAULT NULL, command_id INT DEFAULT NULL, ttl TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, args VARCHAR(255) DEFAULT NULL, post_time TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, readed BOOLEAN NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_B6BD307F94A4C7D4 ON message (device_id)');
        $this->addSql('CREATE INDEX IDX_B6BD307F33E1689A ON message (command_id)');
        $this->addSql('CREATE TABLE message_audit (id INT NOT NULL, rev INT NOT NULL, device_id INT DEFAULT NULL, command_id INT DEFAULT NULL, ttl TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, args VARCHAR(255) DEFAULT NULL, post_time TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, readed BOOLEAN DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE device_stat_online (id BIGINT NOT NULL, device_id INT NOT NULL, date DATE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_180A78A094A4C7D4 ON device_stat_online (device_id)');
        $this->addSql('CREATE INDEX IDX_180A78A0AA9E377A94A4C7D4 ON device_stat_online (date, device_id)');
        $this->addSql('CREATE TABLE provider (id INT NOT NULL, free_channels_tarif_id INT DEFAULT NULL, provider_name VARCHAR(255) NOT NULL, api_url VARCHAR(255) DEFAULT NULL, authkey VARCHAR(255) DEFAULT NULL, enable_api BOOLEAN NOT NULL, provider_comment TEXT DEFAULT NULL, remote_provider BOOLEAN NOT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_92C4739C4F9668AD ON provider (free_channels_tarif_id)');
        $this->addSql('CREATE TABLE provider_audit (id INT NOT NULL, rev INT NOT NULL, free_channels_tarif_id INT DEFAULT NULL, provider_name VARCHAR(255) DEFAULT NULL, api_url VARCHAR(255) DEFAULT NULL, authkey VARCHAR(255) DEFAULT NULL, enable_api BOOLEAN DEFAULT NULL, provider_comment TEXT DEFAULT NULL, remote_provider BOOLEAN DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE report_item (id INT NOT NULL, report_slice_id INT DEFAULT NULL, value INT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_6C37C8E56F1ABEEA ON report_item (report_slice_id)');
        $this->addSql('CREATE TABLE epg_auto_replace_group (id INT NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE epg_auto_replace_group_audit (id INT NOT NULL, rev INT NOT NULL, name VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE channel (id INT NOT NULL, type_id INT DEFAULT NULL, logo_id INT DEFAULT NULL, age_group_id INT DEFAULT NULL, rightholder_contract_id INT DEFAULT NULL, epg_source_channel_id INT DEFAULT NULL, dvr_server_id INT DEFAULT NULL, display_name VARCHAR(255) NOT NULL, enabled BOOLEAN NOT NULL, channel_comment TEXT DEFAULT NULL, timeshift_enabled BOOLEAN NOT NULL, record_enabled BOOLEAN NOT NULL, display_number INT DEFAULT NULL, channel_description TEXT DEFAULT NULL, channel_website VARCHAR(255) DEFAULT NULL, need_scramble BOOLEAN DEFAULT NULL, input_url VARCHAR(255) DEFAULT NULL, url VARCHAR(255) DEFAULT NULL, aspect_ratio VARCHAR(255) DEFAULT NULL, time_shift_depth INT DEFAULT NULL, text_name VARCHAR(255) NOT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_A2F98E47595D0033 ON channel (text_name)');
        $this->addSql('CREATE INDEX IDX_A2F98E47C54C8C93 ON channel (type_id)');
        $this->addSql('CREATE INDEX IDX_A2F98E47F98F144A ON channel (logo_id)');
        $this->addSql('CREATE INDEX IDX_A2F98E47B09E220E ON channel (age_group_id)');
        $this->addSql('CREATE INDEX IDX_A2F98E479D723328 ON channel (rightholder_contract_id)');
        $this->addSql('CREATE INDEX IDX_A2F98E47E481C9EB ON channel (epg_source_channel_id)');
        $this->addSql('CREATE INDEX IDX_A2F98E471A5516B0 ON channel (dvr_server_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_A2F98E47A14974BF ON channel (display_number)');
        $this->addSql('CREATE TABLE channel_audit (id INT NOT NULL, rev INT NOT NULL, type_id INT DEFAULT NULL, logo_id INT DEFAULT NULL, age_group_id INT DEFAULT NULL, rightholder_contract_id INT DEFAULT NULL, epg_source_channel_id INT DEFAULT NULL, dvr_server_id INT DEFAULT NULL, display_name VARCHAR(255) DEFAULT NULL, enabled BOOLEAN DEFAULT NULL, channel_comment TEXT DEFAULT NULL, timeshift_enabled BOOLEAN DEFAULT NULL, record_enabled BOOLEAN DEFAULT NULL, display_number INT DEFAULT NULL, channel_description TEXT DEFAULT NULL, channel_website VARCHAR(255) DEFAULT NULL, need_scramble BOOLEAN DEFAULT NULL, input_url VARCHAR(255) DEFAULT NULL, url VARCHAR(255) DEFAULT NULL, aspect_ratio VARCHAR(255) DEFAULT NULL, time_shift_depth INT DEFAULT NULL, text_name VARCHAR(255) DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE provider_network (id INT NOT NULL, provider_id INT NOT NULL, network VARCHAR(255) NOT NULL, description VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_90DC251BA53A8AA ON provider_network (provider_id)');
        $this->addSql('CREATE TABLE provider_network_audit (id INT NOT NULL, rev INT NOT NULL, provider_id INT DEFAULT NULL, network VARCHAR(255) DEFAULT NULL, description VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE channel_group (id INT NOT NULL, channel_group_name VARCHAR(255) NOT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE channel_group_channel (channel_group_id INT NOT NULL, channel_id INT NOT NULL, PRIMARY KEY(channel_group_id, channel_id))');
        $this->addSql('CREATE INDEX IDX_856439FF89E4AAEE ON channel_group_channel (channel_group_id)');
        $this->addSql('CREATE INDEX IDX_856439FF72F5A1AA ON channel_group_channel (channel_id)');
        $this->addSql('CREATE TABLE channel_group_audit (id INT NOT NULL, rev INT NOT NULL, channel_group_name VARCHAR(255) DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE channel_type (id INT NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE channel_type_audit (id INT NOT NULL, rev INT NOT NULL, name VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE epg_source_channel (id INT NOT NULL, source_id INT NOT NULL, source_channel_id VARCHAR(255) NOT NULL, source_channel_name VARCHAR(255) NOT NULL, date_added TIMESTAMP(0) WITH TIME ZONE NOT NULL, offset_mins INT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_24AAB53C953C1C61 ON epg_source_channel (source_id)');
        $this->addSql('CREATE TABLE epg_source_channel_audit (id INT NOT NULL, rev INT NOT NULL, source_id INT DEFAULT NULL, source_channel_id VARCHAR(255) DEFAULT NULL, source_channel_name VARCHAR(255) DEFAULT NULL, date_added TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, offset_mins INT DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE tarif (id INT NOT NULL, provider_id INT NOT NULL, tarif_group_id INT NOT NULL, tarif_name VARCHAR(255) NOT NULL, public BOOLEAN NOT NULL, show_on_www BOOLEAN NOT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_E7189C9A53A8AA ON tarif (provider_id)');
        $this->addSql('CREATE INDEX IDX_E7189C9F8910D2A ON tarif (tarif_group_id)');
        $this->addSql('CREATE TABLE tarifs_additionals (main_tarif_id INT NOT NULL, additional_tarif_id INT NOT NULL, PRIMARY KEY(main_tarif_id, additional_tarif_id))');
        $this->addSql('CREATE INDEX IDX_39B72CE6EC5E1B2C ON tarifs_additionals (main_tarif_id)');
        $this->addSql('CREATE INDEX IDX_39B72CE68FADB68F ON tarifs_additionals (additional_tarif_id)');
        $this->addSql('CREATE TABLE tarif_channel_group (tarif_id INT NOT NULL, channel_group_id INT NOT NULL, PRIMARY KEY(tarif_id, channel_group_id))');
        $this->addSql('CREATE INDEX IDX_D34B2242357C0A59 ON tarif_channel_group (tarif_id)');
        $this->addSql('CREATE INDEX IDX_D34B224289E4AAEE ON tarif_channel_group (channel_group_id)');
        $this->addSql('CREATE TABLE tarif_audit (id INT NOT NULL, rev INT NOT NULL, provider_id INT DEFAULT NULL, tarif_group_id INT DEFAULT NULL, tarif_name VARCHAR(255) DEFAULT NULL, public BOOLEAN DEFAULT NULL, show_on_www BOOLEAN DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE revisions (id SERIAL NOT NULL, timestamp TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, username VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE acl_classes (id SERIAL NOT NULL, class_type VARCHAR(200) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_69DD750638A36066 ON acl_classes (class_type)');
        $this->addSql('CREATE TABLE acl_security_identities (id SERIAL NOT NULL, identifier VARCHAR(200) NOT NULL, username BOOLEAN NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_8835EE78772E836AF85E0677 ON acl_security_identities (identifier, username)');
        $this->addSql('CREATE TABLE acl_object_identities (id SERIAL NOT NULL, parent_object_identity_id INT DEFAULT NULL, class_id INT NOT NULL, object_identifier VARCHAR(100) NOT NULL, entries_inheriting BOOLEAN NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_9407E5494B12AD6EA000B10 ON acl_object_identities (object_identifier, class_id)');
        $this->addSql('CREATE INDEX IDX_9407E54977FA751A ON acl_object_identities (parent_object_identity_id)');
        $this->addSql('CREATE TABLE acl_object_identity_ancestors (object_identity_id INT NOT NULL, ancestor_id INT NOT NULL, PRIMARY KEY(object_identity_id, ancestor_id))');
        $this->addSql('CREATE INDEX IDX_825DE2993D9AB4A6 ON acl_object_identity_ancestors (object_identity_id)');
        $this->addSql('CREATE INDEX IDX_825DE299C671CEA1 ON acl_object_identity_ancestors (ancestor_id)');
        $this->addSql('CREATE TABLE acl_entries (id SERIAL NOT NULL, class_id INT NOT NULL, object_identity_id INT DEFAULT NULL, security_identity_id INT NOT NULL, field_name VARCHAR(50) DEFAULT NULL, ace_order SMALLINT NOT NULL, mask INT NOT NULL, granting BOOLEAN NOT NULL, granting_strategy VARCHAR(30) NOT NULL, audit_success BOOLEAN NOT NULL, audit_failure BOOLEAN NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_46C8B806EA000B103D9AB4A64DEF17BCE4289BF4 ON acl_entries (class_id, object_identity_id, field_name, ace_order)');
        $this->addSql('CREATE INDEX IDX_46C8B806EA000B103D9AB4A6DF9183C9 ON acl_entries (class_id, object_identity_id, security_identity_id)');
        $this->addSql('CREATE INDEX IDX_46C8B806EA000B10 ON acl_entries (class_id)');
        $this->addSql('CREATE INDEX IDX_46C8B8063D9AB4A6 ON acl_entries (object_identity_id)');
        $this->addSql('CREATE INDEX IDX_46C8B806DF9183C9 ON acl_entries (security_identity_id)');
        $this->addSql('ALTER TABLE account_subscription ADD CONSTRAINT FK_3A1E72959B6B5FBA FOREIGN KEY (account_id) REFERENCES account (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE account_subscription ADD CONSTRAINT FK_3A1E7295357C0A59 FOREIGN KEY (tarif_id) REFERENCES tarif (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE device_subscription ADD CONSTRAINT FK_D1B3830294A4C7D4 FOREIGN KEY (device_id) REFERENCES device (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE device_subscription ADD CONSTRAINT FK_D1B38302357C0A59 FOREIGN KEY (tarif_id) REFERENCES tarif (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE favorite_group_channel ADD CONSTRAINT FK_F91BB0805403C1B6 FOREIGN KEY (favorite_group_id) REFERENCES favorite_group (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE favorite_group_channel ADD CONSTRAINT FK_F91BB08072F5A1AA FOREIGN KEY (channel_id) REFERENCES channel (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE epg_item ADD CONSTRAINT FK_80AC3C6772F5A1AA FOREIGN KEY (channel_id) REFERENCES channel (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE epg_item ADD CONSTRAINT FK_80AC3C67B09E220E FOREIGN KEY (age_group_id) REFERENCES age_group (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE device_stat_channel ADD CONSTRAINT FK_34761E0F72F5A1AA FOREIGN KEY (channel_id) REFERENCES channel (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE device_stat_channel ADD CONSTRAINT FK_34761E0F94A4C7D4 FOREIGN KEY (device_id) REFERENCES device (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE epg_auto_replace ADD CONSTRAINT FK_3318A9D5EDD9C35C FOREIGN KEY (epg_auto_replace_group_id) REFERENCES epg_auto_replace_group (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE device ADD CONSTRAINT FK_92FB68E4FFA550E FOREIGN KEY (device_type_id) REFERENCES device_type (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE device ADD CONSTRAINT FK_92FB68EA53A8AA FOREIGN KEY (provider_id) REFERENCES provider (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE device ADD CONSTRAINT FK_92FB68E9B6B5FBA FOREIGN KEY (account_id) REFERENCES account (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE dvr_server_flussonic ADD CONSTRAINT FK_6781A9F3BF396750 FOREIGN KEY (id) REFERENCES dvr_server (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE provider_free_channel ADD CONSTRAINT FK_DB2B5384A53A8AA FOREIGN KEY (provider_id) REFERENCES provider (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE provider_free_channel ADD CONSTRAINT FK_DB2B53844FFA550E FOREIGN KEY (device_type_id) REFERENCES device_type (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE provider_free_channel ADD CONSTRAINT FK_DB2B5384357C0A59 FOREIGN KEY (tarif_id) REFERENCES tarif (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE admin ADD CONSTRAINT FK_880E0D76A53A8AA FOREIGN KEY (provider_id) REFERENCES provider (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE report_slice ADD CONSTRAINT FK_17B27FDC7FE751E9 FOREIGN KEY (report_agregator_id) REFERENCES report_aggregator (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE command_argument ADD CONSTRAINT FK_34FDE29B33E1689A FOREIGN KEY (command_id) REFERENCES command (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE epg_source_data_item ADD CONSTRAINT FK_D99421B6E481C9EB FOREIGN KEY (epg_source_channel_id) REFERENCES epg_source_channel (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE right_holder_contract ADD CONSTRAINT FK_C008023222447FFF FOREIGN KEY (rightholder_id) REFERENCES right_holder (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE account ADD CONSTRAINT FK_7D3656A4A53A8AA FOREIGN KEY (provider_id) REFERENCES provider (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE account_status ADD CONSTRAINT FK_5C34AB6F9B6B5FBA FOREIGN KEY (account_id) REFERENCES account (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE account_status ADD CONSTRAINT FK_5C34AB6F6BF700BD FOREIGN KEY (status_id) REFERENCES account_status_type (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE channel_view_item ADD CONSTRAINT FK_4EDC427D72F5A1AA FOREIGN KEY (channel_id) REFERENCES channel (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE message ADD CONSTRAINT FK_B6BD307F94A4C7D4 FOREIGN KEY (device_id) REFERENCES device (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE message ADD CONSTRAINT FK_B6BD307F33E1689A FOREIGN KEY (command_id) REFERENCES command (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE device_stat_online ADD CONSTRAINT FK_180A78A094A4C7D4 FOREIGN KEY (device_id) REFERENCES device (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE provider ADD CONSTRAINT FK_92C4739C4F9668AD FOREIGN KEY (free_channels_tarif_id) REFERENCES tarif (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE report_item ADD CONSTRAINT FK_6C37C8E56F1ABEEA FOREIGN KEY (report_slice_id) REFERENCES report_slice (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE channel ADD CONSTRAINT FK_A2F98E47C54C8C93 FOREIGN KEY (type_id) REFERENCES channel_type (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE channel ADD CONSTRAINT FK_A2F98E47F98F144A FOREIGN KEY (logo_id) REFERENCES image (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE channel ADD CONSTRAINT FK_A2F98E47B09E220E FOREIGN KEY (age_group_id) REFERENCES age_group (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE channel ADD CONSTRAINT FK_A2F98E479D723328 FOREIGN KEY (rightholder_contract_id) REFERENCES right_holder_contract (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE channel ADD CONSTRAINT FK_A2F98E47E481C9EB FOREIGN KEY (epg_source_channel_id) REFERENCES epg_source_channel (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE channel ADD CONSTRAINT FK_A2F98E471A5516B0 FOREIGN KEY (dvr_server_id) REFERENCES dvr_server (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE provider_network ADD CONSTRAINT FK_90DC251BA53A8AA FOREIGN KEY (provider_id) REFERENCES provider (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE channel_group_channel ADD CONSTRAINT FK_856439FF89E4AAEE FOREIGN KEY (channel_group_id) REFERENCES channel_group (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE channel_group_channel ADD CONSTRAINT FK_856439FF72F5A1AA FOREIGN KEY (channel_id) REFERENCES channel (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE epg_source_channel ADD CONSTRAINT FK_24AAB53C953C1C61 FOREIGN KEY (source_id) REFERENCES epg_source (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE tarif ADD CONSTRAINT FK_E7189C9A53A8AA FOREIGN KEY (provider_id) REFERENCES provider (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE tarif ADD CONSTRAINT FK_E7189C9F8910D2A FOREIGN KEY (tarif_group_id) REFERENCES tarif_group (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE tarifs_additionals ADD CONSTRAINT FK_39B72CE6EC5E1B2C FOREIGN KEY (main_tarif_id) REFERENCES tarif (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE tarifs_additionals ADD CONSTRAINT FK_39B72CE68FADB68F FOREIGN KEY (additional_tarif_id) REFERENCES tarif (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE tarif_channel_group ADD CONSTRAINT FK_D34B2242357C0A59 FOREIGN KEY (tarif_id) REFERENCES tarif (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE tarif_channel_group ADD CONSTRAINT FK_D34B224289E4AAEE FOREIGN KEY (channel_group_id) REFERENCES channel_group (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE acl_object_identities ADD CONSTRAINT FK_9407E54977FA751A FOREIGN KEY (parent_object_identity_id) REFERENCES acl_object_identities (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE acl_object_identity_ancestors ADD CONSTRAINT FK_825DE2993D9AB4A6 FOREIGN KEY (object_identity_id) REFERENCES acl_object_identities (id) ON UPDATE CASCADE ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE acl_object_identity_ancestors ADD CONSTRAINT FK_825DE299C671CEA1 FOREIGN KEY (ancestor_id) REFERENCES acl_object_identities (id) ON UPDATE CASCADE ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE acl_entries ADD CONSTRAINT FK_46C8B806EA000B10 FOREIGN KEY (class_id) REFERENCES acl_classes (id) ON UPDATE CASCADE ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE acl_entries ADD CONSTRAINT FK_46C8B8063D9AB4A6 FOREIGN KEY (object_identity_id) REFERENCES acl_object_identities (id) ON UPDATE CASCADE ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE acl_entries ADD CONSTRAINT FK_46C8B806DF9183C9 FOREIGN KEY (security_identity_id) REFERENCES acl_security_identities (id) ON UPDATE CASCADE ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('CREATE TABLE channel_view_item_audit (id INT NOT NULL, rev INT NOT NULL, channel_id INT DEFAULT NULL, start_period TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, end_period TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, duration INT DEFAULT NULL, count INT DEFAULT NULL, audience INT DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE config_audit (id INT NOT NULL, rev INT NOT NULL, name VARCHAR(255) DEFAULT NULL, value VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');

        $this->initialConfiguration();
    }

    private function initialConfiguration(){
        $this->addSql("
            INSERT INTO config (\"id\", \"name\", \"value\")
            VALUES
              (nextval('config_id_seq'), 'broadcast_version',            '1'),
              (nextval('config_id_seq'), 'scrambler_percentage',         '25'),
              (nextval('config_id_seq'), 'enableAutoDiscounts',          '1'),
              (nextval('config_id_seq'), 'enableNonMonthTarifs',         '1'),
              (nextval('config_id_seq'), 'epg_mode',                     'unicast'),
              (nextval('config_id_seq'), 'version_channels',             '1'),
              (nextval('config_id_seq'), 'version_epg',                  '15'),
              (nextval('config_id_seq'), 'message_poll_interval',        '5'),
              (nextval('config_id_seq'), 'channel_list_update_interval', '3600'),
              (nextval('config_id_seq'), 'epg_update_interval',          '3600');
        ");
        
        $this->addSql("
            INSERT INTO public.admin (\"id\",\"provider_id\", \"login\", \"admin_fullname\", \"md5pw\", \"active\", \"last_login\", \"global\")
              VALUES
              (nextval('admin_id_seq'),NULL ,'admin', 'Administration', '".md5('admin')."', True, NULL, True);
        ");

        $this->addSql("
        INSERT INTO public.channel_type (\"id\",\"name\")
            VALUES
              (nextval('channel_id_seq'),'SD'),
              (nextval('channel_id_seq'),'HD')
        ");

        $this->addSql(
            "
            INSERT INTO public.age_group (\"id\", \"age\", \"caption\")
            VALUES 
              (nextval('age_group_id_seq'), 0, '0+'),
              (nextval('age_group_id_seq'), 6, '6+'),
              (nextval('age_group_id_seq'), 12, '12+'),
              (nextval('age_group_id_seq'), 16, '16+'),
              (nextval('age_group_id_seq'), 18, '18+');
            "
        );
    }



    /**
     * @param Schema $schema
     */
    public function down(Schema $schema)
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE SCHEMA public');
        $this->addSql('ALTER TABLE channel DROP CONSTRAINT FK_A2F98E47F98F144A');
        $this->addSql('ALTER TABLE favorite_group_channel DROP CONSTRAINT FK_F91BB0805403C1B6');
        $this->addSql('ALTER TABLE account_status DROP CONSTRAINT FK_5C34AB6F6BF700BD');
        $this->addSql('ALTER TABLE epg_source_channel DROP CONSTRAINT FK_24AAB53C953C1C61');
        $this->addSql('ALTER TABLE device_subscription DROP CONSTRAINT FK_D1B3830294A4C7D4');
        $this->addSql('ALTER TABLE device_stat_channel DROP CONSTRAINT FK_34761E0F94A4C7D4');
        $this->addSql('ALTER TABLE message DROP CONSTRAINT FK_B6BD307F94A4C7D4');
        $this->addSql('ALTER TABLE device_stat_online DROP CONSTRAINT FK_180A78A094A4C7D4');
        $this->addSql('ALTER TABLE dvr_server_flussonic DROP CONSTRAINT FK_6781A9F3BF396750');
        $this->addSql('ALTER TABLE channel DROP CONSTRAINT FK_A2F98E471A5516B0');
        $this->addSql('ALTER TABLE tarif DROP CONSTRAINT FK_E7189C9F8910D2A');
        $this->addSql('ALTER TABLE epg_item DROP CONSTRAINT FK_80AC3C67B09E220E');
        $this->addSql('ALTER TABLE channel DROP CONSTRAINT FK_A2F98E47B09E220E');
        $this->addSql('ALTER TABLE report_item DROP CONSTRAINT FK_6C37C8E56F1ABEEA');
        $this->addSql('ALTER TABLE device DROP CONSTRAINT FK_92FB68E4FFA550E');
        $this->addSql('ALTER TABLE provider_free_channel DROP CONSTRAINT FK_DB2B53844FFA550E');
        $this->addSql('ALTER TABLE command_argument DROP CONSTRAINT FK_34FDE29B33E1689A');
        $this->addSql('ALTER TABLE message DROP CONSTRAINT FK_B6BD307F33E1689A');
        $this->addSql('ALTER TABLE channel DROP CONSTRAINT FK_A2F98E479D723328');
        $this->addSql('ALTER TABLE account_subscription DROP CONSTRAINT FK_3A1E72959B6B5FBA');
        $this->addSql('ALTER TABLE device DROP CONSTRAINT FK_92FB68E9B6B5FBA');
        $this->addSql('ALTER TABLE account_status DROP CONSTRAINT FK_5C34AB6F9B6B5FBA');
        $this->addSql('ALTER TABLE right_holder_contract DROP CONSTRAINT FK_C008023222447FFF');
        $this->addSql('ALTER TABLE report_slice DROP CONSTRAINT FK_17B27FDC7FE751E9');
        $this->addSql('ALTER TABLE device DROP CONSTRAINT FK_92FB68EA53A8AA');
        $this->addSql('ALTER TABLE provider_free_channel DROP CONSTRAINT FK_DB2B5384A53A8AA');
        $this->addSql('ALTER TABLE admin DROP CONSTRAINT FK_880E0D76A53A8AA');
        $this->addSql('ALTER TABLE account DROP CONSTRAINT FK_7D3656A4A53A8AA');
        $this->addSql('ALTER TABLE provider_network DROP CONSTRAINT FK_90DC251BA53A8AA');
        $this->addSql('ALTER TABLE tarif DROP CONSTRAINT FK_E7189C9A53A8AA');
        $this->addSql('ALTER TABLE epg_auto_replace DROP CONSTRAINT FK_3318A9D5EDD9C35C');
        $this->addSql('ALTER TABLE favorite_group_channel DROP CONSTRAINT FK_F91BB08072F5A1AA');
        $this->addSql('ALTER TABLE epg_item DROP CONSTRAINT FK_80AC3C6772F5A1AA');
        $this->addSql('ALTER TABLE device_stat_channel DROP CONSTRAINT FK_34761E0F72F5A1AA');
        $this->addSql('ALTER TABLE channel_view_item DROP CONSTRAINT FK_4EDC427D72F5A1AA');
        $this->addSql('ALTER TABLE channel_group_channel DROP CONSTRAINT FK_856439FF72F5A1AA');
        $this->addSql('ALTER TABLE channel_group_channel DROP CONSTRAINT FK_856439FF89E4AAEE');
        $this->addSql('ALTER TABLE tarif_channel_group DROP CONSTRAINT FK_D34B224289E4AAEE');
        $this->addSql('ALTER TABLE channel DROP CONSTRAINT FK_A2F98E47C54C8C93');
        $this->addSql('ALTER TABLE epg_source_data_item DROP CONSTRAINT FK_D99421B6E481C9EB');
        $this->addSql('ALTER TABLE channel DROP CONSTRAINT FK_A2F98E47E481C9EB');
        $this->addSql('ALTER TABLE account_subscription DROP CONSTRAINT FK_3A1E7295357C0A59');
        $this->addSql('ALTER TABLE device_subscription DROP CONSTRAINT FK_D1B38302357C0A59');
        $this->addSql('ALTER TABLE provider_free_channel DROP CONSTRAINT FK_DB2B5384357C0A59');
        $this->addSql('ALTER TABLE provider DROP CONSTRAINT FK_92C4739C4F9668AD');
        $this->addSql('ALTER TABLE tarifs_additionals DROP CONSTRAINT FK_39B72CE6EC5E1B2C');
        $this->addSql('ALTER TABLE tarifs_additionals DROP CONSTRAINT FK_39B72CE68FADB68F');
        $this->addSql('ALTER TABLE tarif_channel_group DROP CONSTRAINT FK_D34B2242357C0A59');
        $this->addSql('ALTER TABLE acl_entries DROP CONSTRAINT FK_46C8B806EA000B10');
        $this->addSql('ALTER TABLE acl_entries DROP CONSTRAINT FK_46C8B806DF9183C9');
        $this->addSql('ALTER TABLE acl_object_identities DROP CONSTRAINT FK_9407E54977FA751A');
        $this->addSql('ALTER TABLE acl_object_identity_ancestors DROP CONSTRAINT FK_825DE2993D9AB4A6');
        $this->addSql('ALTER TABLE acl_object_identity_ancestors DROP CONSTRAINT FK_825DE299C671CEA1');
        $this->addSql('ALTER TABLE acl_entries DROP CONSTRAINT FK_46C8B8063D9AB4A6');
        $this->addSql('DROP SEQUENCE account_subscription_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE scrambler_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE image_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE device_subscription_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE favorite_group_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE account_status_type_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE epg_item_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE epg_source_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE device_stat_channel_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE config_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE epg_auto_replace_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE device_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE dvr_server_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE tarif_group_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE device_log_item_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE provider_free_channel_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE admin_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE age_group_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE report_slice_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE command_argument_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE epg_source_data_item_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE device_type_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE command_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE right_holder_contract_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE account_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE account_status_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE channel_view_item_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE right_holder_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE report_aggregator_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE message_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE device_stat_online_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE provider_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE report_item_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE epg_auto_replace_group_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE channel_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE provider_network_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE channel_group_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE channel_type_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE epg_source_channel_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE tarif_id_seq CASCADE');
        $this->addSql('DROP TABLE account_subscription');
        $this->addSql('DROP TABLE account_subscription_audit');
        $this->addSql('DROP TABLE scrambler');
        $this->addSql('DROP TABLE image');
        $this->addSql('DROP TABLE image_audit');
        $this->addSql('DROP TABLE device_subscription');
        $this->addSql('DROP TABLE device_subscription_audit');
        $this->addSql('DROP TABLE favorite_group');
        $this->addSql('DROP TABLE favorite_group_channel');
        $this->addSql('DROP TABLE favorite_group_audit');
        $this->addSql('DROP TABLE account_status_type');
        $this->addSql('DROP TABLE account_status_type_audit');
        $this->addSql('DROP TABLE epg_item');
        $this->addSql('DROP TABLE epg_item_audit');
        $this->addSql('DROP TABLE epg_source');
        $this->addSql('DROP TABLE epg_source_audit');
        $this->addSql('DROP TABLE device_stat_channel');
        $this->addSql('DROP TABLE config');
        $this->addSql('DROP TABLE epg_auto_replace');
        $this->addSql('DROP TABLE epg_auto_replace_audit');
        $this->addSql('DROP TABLE device');
        $this->addSql('DROP TABLE device_audit');
        $this->addSql('DROP TABLE dvr_server');
        $this->addSql('DROP TABLE dvr_server_audit');
        $this->addSql('DROP TABLE dvr_server_flussonic');
        $this->addSql('DROP TABLE tarif_group');
        $this->addSql('DROP TABLE tarif_group_audit');
        $this->addSql('DROP TABLE device_log_item');
        $this->addSql('DROP TABLE device_log_item_audit');
        $this->addSql('DROP TABLE provider_free_channel');
        $this->addSql('DROP TABLE provider_free_channel_audit');
        $this->addSql('DROP TABLE admin');
        $this->addSql('DROP TABLE admin_audit');
        $this->addSql('DROP TABLE age_group');
        $this->addSql('DROP TABLE age_group_audit');
        $this->addSql('DROP TABLE report_slice');
        $this->addSql('DROP TABLE command_argument');
        $this->addSql('DROP TABLE epg_source_data_item');
        $this->addSql('DROP TABLE device_type');
        $this->addSql('DROP TABLE device_type_audit');
        $this->addSql('DROP TABLE command');
        $this->addSql('DROP TABLE right_holder_contract');
        $this->addSql('DROP TABLE right_holder_contract_audit');
        $this->addSql('DROP TABLE account');
        $this->addSql('DROP TABLE account_audit');
        $this->addSql('DROP TABLE account_status');
        $this->addSql('DROP TABLE account_status_audit');
        $this->addSql('DROP TABLE channel_view_item');
        $this->addSql('DROP TABLE right_holder');
        $this->addSql('DROP TABLE right_holder_audit');
        $this->addSql('DROP TABLE report_aggregator');
        $this->addSql('DROP TABLE message');
        $this->addSql('DROP TABLE message_audit');
        $this->addSql('DROP TABLE device_stat_online');
        $this->addSql('DROP TABLE provider');
        $this->addSql('DROP TABLE provider_audit');
        $this->addSql('DROP TABLE report_item');
        $this->addSql('DROP TABLE epg_auto_replace_group');
        $this->addSql('DROP TABLE epg_auto_replace_group_audit');
        $this->addSql('DROP TABLE channel');
        $this->addSql('DROP TABLE channel_audit');
        $this->addSql('DROP TABLE provider_network');
        $this->addSql('DROP TABLE provider_network_audit');
        $this->addSql('DROP TABLE channel_group');
        $this->addSql('DROP TABLE channel_group_channel');
        $this->addSql('DROP TABLE channel_group_audit');
        $this->addSql('DROP TABLE channel_type');
        $this->addSql('DROP TABLE channel_type_audit');
        $this->addSql('DROP TABLE epg_source_channel');
        $this->addSql('DROP TABLE epg_source_channel_audit');
        $this->addSql('DROP TABLE tarif');
        $this->addSql('DROP TABLE tarifs_additionals');
        $this->addSql('DROP TABLE tarif_channel_group');
        $this->addSql('DROP TABLE tarif_audit');
        $this->addSql('DROP TABLE revisions');
        $this->addSql('DROP TABLE acl_classes');
        $this->addSql('DROP TABLE acl_security_identities');
        $this->addSql('DROP TABLE acl_object_identities');
        $this->addSql('DROP TABLE acl_object_identity_ancestors');
        $this->addSql('DROP TABLE acl_entries');
    }


}
