<?php

namespace Application\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
class Version20160302134543 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema)
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE SEQUENCE cas_type_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE cas_config_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE cas_config_option_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE TABLE cas_type (id INT NOT NULL, name VARCHAR(255) NOT NULL, caption VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE cas_config (id INT NOT NULL, cas_type_id INT DEFAULT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_48C310819C630C ON cas_config (cas_type_id)');
        $this->addSql('CREATE TABLE cas_config_audit (id INT NOT NULL, rev INT NOT NULL, cas_type_id INT DEFAULT NULL, name VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE cas_config_option (id INT NOT NULL, cas_config_id INT DEFAULT NULL, name VARCHAR(255) NOT NULL, value VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_3B94046FE2B72B6F ON cas_config_option (cas_config_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_3B94046FE2B72B6F5E237E06 ON cas_config_option (cas_config_id, name)');
        $this->addSql('CREATE TABLE cas_config_option_audit (id INT NOT NULL, rev INT NOT NULL, cas_config_id INT DEFAULT NULL, name VARCHAR(255) DEFAULT NULL, value VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('ALTER TABLE cas_config ADD CONSTRAINT FK_48C310819C630C FOREIGN KEY (cas_type_id) REFERENCES cas_type (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE cas_config_option ADD CONSTRAINT FK_3B94046FE2B72B6F FOREIGN KEY (cas_config_id) REFERENCES cas_config (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE channel ADD tshift_cas_config_id INT DEFAULT NULL');
        $this->addSql('ALTER TABLE channel ADD cas_config_id INT DEFAULT NULL');
        $this->addSql('ALTER TABLE channel ADD CONSTRAINT FK_A2F98E47CD07F0D6 FOREIGN KEY (tshift_cas_config_id) REFERENCES cas_config (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE channel ADD CONSTRAINT FK_A2F98E47E2B72B6F FOREIGN KEY (cas_config_id) REFERENCES cas_config (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('CREATE INDEX IDX_A2F98E47CD07F0D6 ON channel (tshift_cas_config_id)');
        $this->addSql('CREATE INDEX IDX_A2F98E47E2B72B6F ON channel (cas_config_id)');
        $this->addSql('ALTER TABLE channel_audit ADD tshift_cas_config_id INT DEFAULT NULL');
        $this->addSql('ALTER TABLE channel_audit ADD cas_config_id INT DEFAULT NULL');

        $this->setCasTypes();
    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema)
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE cas_config DROP CONSTRAINT FK_48C310819C630C');
        $this->addSql('ALTER TABLE channel DROP CONSTRAINT FK_A2F98E47CD07F0D6');
        $this->addSql('ALTER TABLE channel DROP CONSTRAINT FK_A2F98E47E2B72B6F');
        $this->addSql('ALTER TABLE cas_config_option DROP CONSTRAINT FK_3B94046FE2B72B6F');
        $this->addSql('DROP SEQUENCE cas_type_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE cas_config_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE cas_config_option_id_seq CASCADE');
        $this->addSql('DROP TABLE cas_type');
        $this->addSql('DROP TABLE cas_config');
        $this->addSql('DROP TABLE cas_config_audit');
        $this->addSql('DROP TABLE cas_config_option');
        $this->addSql('DROP TABLE cas_config_option_audit');
        $this->addSql('ALTER TABLE channel_audit DROP tshift_cas_config_id');
        $this->addSql('ALTER TABLE channel_audit DROP cas_config_id');
        $this->addSql('DROP INDEX IDX_A2F98E47CD07F0D6');
        $this->addSql('DROP INDEX IDX_A2F98E47E2B72B6F');
        $this->addSql('ALTER TABLE channel DROP tshift_cas_config_id');
        $this->addSql('ALTER TABLE channel DROP cas_config_id');
    }

    public function setCasTypes(){
        $this->addSql('INSERT INTO cas_type (id, name, caption) VALUES (nextval(\'cas_type_id_seq\'), \'tvipcas\', \'Tvip CAS\')');
        $this->addSql('INSERT INTO cas_type (id, name, caption) VALUES (nextval(\'cas_type_id_seq\'), \'viewright_iptv\', \'Verimatrix IPTV\')');
        $this->addSql('INSERT INTO cas_type (id, name, caption) VALUES (nextval(\'cas_type_id_seq\'), \'viewright-web\', \'Verimatrix OTT\')');
        $this->addSql('INSERT INTO cas_type (id, name, caption) VALUES (nextval(\'cas_type_id_seq\'), \'custom_biss\', \'BISS\')');
        $this->addSql('INSERT INTO cas_type (id, name, caption) VALUES (nextval(\'cas_type_id_seq\'), \'ares\', \'IPTVPORTAL\')');
        $this->addSql('INSERT INTO cas_type (id, name, caption) VALUES (nextval(\'cas_type_id_seq\'), \'widevine\',  \'Widevine\')');
        $this->addSql('INSERT INTO cas_type (id, name, caption) VALUES (nextval(\'cas_type_id_seq\'), \'playready\', \'PlayReady\')');

        $this->addSql('INSERT INTO cas_config (id,name, cas_type_id) VALUES (nextval(\'cas_config_id_seq\'),\'Tvip CAS default configuration\', (SELECT id FROM cas_type WHERE name=\'tvipcas\' LIMIT 1 OFFSET 0))');
        $this->addSql('INSERT INTO cas_config_option (id, cas_config_id, name, value) VALUES (nextval(\'cas_config_option_id_seq\'),(SELECT id FROM cas_config WHERE name=\'Tvip CAS default configuration\' LIMIT 1 OFFSET 0),\'ecm_type\',\'netsol\')');

        $this->addSql('INSERT INTO config (id,name,value) VALUES (nextval(\'config_id_seq\'),\'default_cas\',(SELECT id FROM cas_config WHERE name=\'Tvip CAS default configuration\' LIMIT 1 OFFSET 0))');
    }
}
