<?php

namespace Application\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
class Version20160404160618 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema)
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE TABLE cas_type_audit (id INT NOT NULL, rev INT NOT NULL, name VARCHAR(255) DEFAULT NULL, caption VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE scrambler_audit (id INT NOT NULL, rev INT NOT NULL, ipaddr Inet DEFAULT NULL, password VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('COMMENT ON COLUMN scrambler_audit.ipaddr IS \'(DC2Type:inet)\'');
        $this->addSql('CREATE TABLE dvr_server_flussonic_audit (id INT NOT NULL, rev INT NOT NULL, api_path VARCHAR(255) DEFAULT NULL, login VARCHAR(255) DEFAULT NULL, password VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('DROP TABLE image_audit');
        $this->addSql('DROP TABLE epg_item_audit');
        $this->addSql('DROP TABLE device_log_item_audit');
        $this->addSql('DROP TABLE channel_view_item_audit');
        $this->addSql('DROP TABLE command_audit');
    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema)
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE TABLE image_audit (id INT NOT NULL, rev INT NOT NULL, image BYTEA DEFAULT NULL, width INT DEFAULT NULL, height INT DEFAULT NULL, size INT DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE epg_item_audit (id BIGINT NOT NULL, rev INT NOT NULL, channel_id INT DEFAULT NULL, age_group_id INT DEFAULT NULL, start TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, stop TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, title VARCHAR(255) DEFAULT NULL, description TEXT DEFAULT NULL, auto BOOLEAN DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE device_log_item_audit (id BIGINT NOT NULL, rev INT NOT NULL, remote_ip VARCHAR(255) DEFAULT NULL, remote_mac VARCHAR(255) DEFAULT NULL, remote_device_type VARCHAR(255) DEFAULT NULL, remote_fw_version VARCHAR(255) DEFAULT NULL, log_time TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, log_category VARCHAR(255) DEFAULT NULL, log_message TEXT DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE channel_view_item_audit (id INT NOT NULL, rev INT NOT NULL, channel_id INT DEFAULT NULL, start_period TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, end_period TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, duration INT DEFAULT NULL, count INT DEFAULT NULL, audience INT DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE command_audit (id INT NOT NULL, rev INT NOT NULL, device_id INT DEFAULT NULL, ttl TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, post_time TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, readed BOOLEAN DEFAULT NULL, name VARCHAR(255) DEFAULT NULL, type VARCHAR(255) DEFAULT NULL, title VARCHAR(255) DEFAULT NULL, text TEXT DEFAULT NULL, delay INT DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('DROP TABLE cas_type_audit');
        $this->addSql('DROP TABLE scrambler_audit');
        $this->addSql('DROP TABLE dvr_server_flussonic_audit');
    }
}
