<?php

namespace Application\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
class Version20170331094123 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema)
    {
        /**
         * @link http://gitlab.tvip.ru/tvip/tms/issues/69
         */
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        /**
         * RightHolder вообще удалить softdeleted
         * RightHolderContract вообще удалить softdeleted
         */
        $this->addSql('ALTER TABLE right_holder DROP deleted_at');
        $this->addSql('ALTER TABLE right_holder_contract DROP deleted_at');

        /**
         * Account - softdeleted > флаг enabled=false
         */
        $this->addSql('UPDATE account SET enabled=FALSE WHERE deleted_at IS NOT NULL');
        $this->addSql('ALTER TABLE account DROP deleted_at');

        /**
         * Channel - softdeleted > флаг enabled=false
         */
        $this->addSql('UPDATE channel SET enabled=FALSE WHERE deleted_at IS NOT NULL');
        $this->addSql('ALTER TABLE channel DROP deleted_at');

        /**
         * ChannelGroup - softdeleted > флаг enabled=false
         */
        $this->addSql('ALTER TABLE channel_group ADD enabled BOOLEAN NOT NULL DEFAULT TRUE');
        $this->addSql('UPDATE channel_group SET enabled=FALSE WHERE deleted_at IS NOT NULL');
        $this->addSql('ALTER TABLE channel_group ALTER enabled DROP DEFAULT');
        $this->addSql('ALTER TABLE channel_group DROP deleted_at');

        /**
         * Provider - softdeleted > флаг enabled=false
         */
        $this->addSql('ALTER TABLE provider ADD enabled BOOLEAN NOT NULL DEFAULT TRUE');
        $this->addSql('UPDATE provider SET enabled=FALSE WHERE deleted_at IS NOT NULL');
        $this->addSql('ALTER TABLE provider ALTER enabled DROP DEFAULT');
        $this->addSql('ALTER TABLE provider DROP deleted_at');

        /**
         * Еще Tarif так же использовал SoftDeletable, делаю по аналогии с TarifGroup - добавляю enabled (eadanilenko)
         */

        $this->addSql('ALTER TABLE tarif ADD enabled BOOLEAN NOT NULL DEFAULT TRUE');
        $this->addSql('UPDATE tarif SET enabled=FALSE WHERE deleted_at IS NOT NULL');
        $this->addSql('ALTER TABLE tarif ALTER enabled DROP DEFAULT');
        $this->addSql('ALTER TABLE tarif DROP deleted_at');

        /**
         * TarifGroup - softdeleted > флаг enabled=false
         */
        $this->addSql('ALTER TABLE tarif_group ADD enabled BOOLEAN NOT NULL DEFAULT TRUE');
        $this->addSql('UPDATE tarif_group SET enabled=FALSE WHERE deleted_at IS NOT NULL');
        $this->addSql('ALTER TABLE tarif_group ALTER enabled DROP DEFAULT');
        $this->addSql('ALTER TABLE tarif_group DROP deleted_at');

    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema)
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE account ADD deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL');
        $this->addSql('ALTER TABLE channel_group ADD deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL');
        $this->addSql('ALTER TABLE channel_group DROP enabled');
        $this->addSql('ALTER TABLE right_holder ADD deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL');
        $this->addSql('ALTER TABLE tarif_group ADD deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL');
        $this->addSql('ALTER TABLE tarif_group DROP enabled');
        $this->addSql('ALTER TABLE provider ADD deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL');
        $this->addSql('ALTER TABLE provider DROP enabled');
        $this->addSql('ALTER TABLE right_holder_contract ADD deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL');
        $this->addSql('ALTER TABLE channel ADD deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL');
        $this->addSql('ALTER TABLE tarif ADD deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL');
        $this->addSql('ALTER TABLE tarif DROP enabled');
    }
}
